Subject: find-file completion to suggest currently open buffers

From: Ed Avis <[email-masked]>
Date: Tue, 23 Jun 2015 11:21:32 +0000 (UTC)

If a file is being visited in a buffer but does not exist on disk, then
tab completion in find-file will not suggest it.  For example:

- make sure there are no filenames in the current directory beginning with f.
- C-x C-f f o o RET
- C-x b RET to switch to some unrelated buffer
- C-x C-f f TAB

Expected results: although there are no files currently on disk beginning f,
I am visiting a buffer for the filename 'foo', so it should complete to 'foo'.
After all, if I type f o o RET manually then the effect is to switch to that
buffer - so it should be included as a choice in autocomplete.

GNU Emacs 24.4.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.10.9)

-- 
Ed Avis <[email-masked]>